import "antd/es/typography/style";
import _Typography from "antd/es/typography";
import './index.less';
import React from 'react';
import classNames from 'classnames';
var Text = _Typography.Text;

var RenderLabel = function RenderLabel(_ref) {
  var label = _ref.label,
      isSame = _ref.isSame;
  return React.createElement(Text, {
    className: classNames('log-diff-item-label')
  }, React.createElement("span", {
    className: classNames({
      'label-sign': !isSame
    })
  }, label || '-'));
};

var RenderContent = function RenderContent(_ref2) {
  var beforeNode = _ref2.beforeNode,
      afterNode = _ref2.afterNode,
      isSame = _ref2.isSame;
  return React.createElement(Text, null, React.createElement("span", {
    className: classNames({
      'pass': !isSame
    }, 'space')
  }, beforeNode), !isSame && React.createElement("span", {
    className: classNames('now')
  }, afterNode));
};

export { RenderLabel, RenderContent };