import React from 'react';
import Radio from './component/Radio';
import Input from './component/Input';
import Image from './component/Image';
import DiffContext from './Context';
var Provider = DiffContext.Provider;

var LogDiff = function LogDiff(props) {
  var data = props.data,
      children = props.children;
  return React.createElement(Provider, {
    value: data
  }, children);
};

LogDiff.Input = Input;
LogDiff.Image = Image;
LogDiff.Radio = Radio;
export { Radio, Input, Image };
export default LogDiff;