"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Radio", {
  enumerable: true,
  get: function get() {
    return _Radio.default;
  }
});
Object.defineProperty(exports, "Input", {
  enumerable: true,
  get: function get() {
    return _Input.default;
  }
});
Object.defineProperty(exports, "Image", {
  enumerable: true,
  get: function get() {
    return _Image.default;
  }
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Radio = _interopRequireDefault(require("./component/Radio"));

var _Input = _interopRequireDefault(require("./component/Input"));

var _Image = _interopRequireDefault(require("./component/Image"));

var _Context = _interopRequireDefault(require("./Context"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Provider = _Context.default.Provider;

var LogDiff = function LogDiff(props) {
  var data = props.data,
      children = props.children;
  return _react.default.createElement(Provider, {
    value: data
  }, children);
};

LogDiff.Input = _Input.default;
LogDiff.Image = _Image.default;
LogDiff.Radio = _Radio.default;
var _default = LogDiff;
exports.default = _default;